/*
 * Created by victoria on 2021-05-12.
 */

#include "sce.h"

#include <QRandomGenerator>

constexpr int RPAD_MAX_LENGTH = 200;

QString QXmpp::Sce::generatePadding() {
  QRandomGenerator random{};
  QString result{};
  QString alphabet{ QStringLiteral("!\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~") };

  auto length = random.bounded(RPAD_MAX_LENGTH);
  result.resize(length);

  for (auto i = 0; i < length; ++i) {
    result[i] = alphabet[random.bounded(alphabet.length())];
  }

  return result;
}
